Support
Update contact message
PATCH
/api/v1/support/messages/:idUpdates a contact message's status, e.g. closing it once resolved. Staff-only.
Requires Authorization
ADMIN, SUPPORT only
Authenticated action
Path parameters
idstringrequired | Contact message ID. |
Body parameters
statusstring | OPEN, ASSIGNED, or CLOSED. |
notesstring | Internal note. |
Request
curl --request PATCH \
--url https://api.swiftgoma.com/api/v1/support/messages/:id \
--header 'Authorization: Bearer <access_token>' \
--header 'Content-Type: application/json' \
--data '{
"status": "<status>",
"notes": "<notes>"
}'200Example response
{
"success": true,
"data": {
"id": "cmsg_1a2b3c",
"name": "Aline Mapendo",
"email": "aline@example.com",
"subject": "ORDER_ISSUE",
"message": "Ma commande n'est jamais arrivée.",
"status": "CLOSED",
"assignedTo": null,
"createdAt": "2026-02-15T09:00:00.000Z"
}
}